
/**
 * @file oh_typea.h
 * @version $Id$
 *
 * The header file that has the platform dependent part of the oh_type.h.
 */

#ifndef _OH_TYPEA_H_
#define _OH_TYPEA_H_

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

typedef void            oh_void;
typedef signed int      oh_int;
typedef unsigned int    oh_uint;
typedef signed long     oh_long;
typedef unsigned long   oh_ulong;
typedef char            oh_char;
typedef unsigned char   oh_uchar;
typedef signed char     oh_schar;
typedef float           oh_float;
typedef double          oh_double;
typedef signed int      oh_int32;
typedef unsigned int    oh_uint32;
typedef signed short    oh_int16;
typedef unsigned short  oh_uint16;
typedef signed char     oh_int8;
typedef unsigned char   oh_uint8;
typedef float           oh_float32;
typedef double          oh_float64;

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_TYPEA_H_ */
