
/**
 * @file oh_env.h
 * @version $Id$
 *
 * The header file that has the environment variable functions.
 */

#ifndef _OH_ENV_H_
#define _OH_ENV_H_

#include "oh_port.h"
#include "oh_enva.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#ifndef oh_ev_setEnv
extern oh_int oh_ev_setEnv(const oh_char *name, const oh_char *val);
#endif /* oh_ev_setEnv */

#ifndef oh_ev_getEnv
extern oh_int oh_ev_getEnv(const oh_char *name, oh_char *valbuf,
  oh_ulong valbuflen);
#endif /* oh_ev_getEnv */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_ENV_H_ */
