include $(OH_BUILDROOT)/arch/$(OH_CPUOS)/compiler/$(OH_COMPILER)/etc/enva.mk

OH_RM=rm -rf
OH_MKDIR=mkdir -p
OH_CHDIR=cd
OH_MAKE=make
OH_ECHO=echo
OH_CP=cp -f
OH_TOUCH=touch
OH_CAT=cat
OH_SED=sed
OH_FIND=find
OH_GREP=grep
OH_XARGS=xargs
OH_AWK=awk

OH_CC=gcc
OH_CCEXT=.c
OH_CCFLAGS=-mno-cygwin -c

OH_CPP=g++
OH_CPPEXT=.cpp
OH_CPPFLAGS=$(OH_CCFLAGS)

OH_AS=as
OH_ASEXT=.s
OH_ASFLAGS=

OH_OBJEXT=.o

OH_AR=ar
OH_ARFLAGS=rcs

OH_LIBEXT=.a
OH_LIBPREFIX=lib

OH_DAR=gcc
OH_DARFLAGS=-mno-cygwin -shared

OH_DLIBEXT=.dll
OH_DLIBPREFIX=

OH_LD=gcc
OH_LDFLAGS=-mno-cygwin -Wl,-u,_WinMain@16
OH_LDSYSLIBS=-lcomctl32 -lcomdlg32 -luser32 -lgdi32 -limagehlp -lth32 -lkernel32

OH_EXENAME=$(OH_PROJECT)
OH_EXEEXT=.exe

OH_SRCEXTS+=*$(OH_CCEXT) *$(OH_CPPEXT) *$(OH_ASEXT)

OH_CCFLAGS+=$(addprefix -D,$(OH_DEFINES)) $(addprefix -I,$(OH_INCDIRS))

OH_INCDIRS+=
OH_DEFINES+=
OH_LDOBJS+=
OH_LDLIBS+=

ifeq ($(OH_DEBUG),TRUE)
OH_CCFLAGS+=-O0 -ggdb3 -W -Wall -Werror -Wno-unused -Wshadow -Wpointer-arith -Wcast-align -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -pedantic
OH_ASFLAGS+=
OH_LDFLAGS+=
OH_DEFINES+=
else
OH_CCFLAGS+=-O3 -w
OH_ASFLAGS+=
OH_LDFLAGS+=
OH_DEFINES+=
endif
