include $(OH_BUILDROOT)/arch/$(OH_CPUOS)/compiler/$(OH_COMPILER)/etc/enva.mk

OH_RM=rm -rf
OH_MKDIR=mkdir -p
OH_CHDIR=cd
OH_MAKE=make
OH_ECHO=echo
OH_CP=cp -f
OH_TOUCH=touch
OH_CAT=cat
OH_SED=sed
OH_FIND=find
OH_GREP=grep
OH_XARGS=xargs
OH_AWK=awk

OH_CC=cl.exe
OH_CCEXT=.c
OH_CCFLAGS=/nologo /MD /Fd$(OH_BINDIR)/$(OH_EXENAME).pdb /c

OH_CPP=cl.exe
OH_CPPEXT=.cpp
OH_CPPFLAGS=$(OH_CCFLAGS)

OH_AS=ml.exe
OH_ASEXT=.asm
OH_ASFLAGS=/nologo /coff /c

OH_OBJEXT=.obj

OH_AR=lib.exe
OH_ARFLAGS=/nologo

OH_LIBEXT=.lib
OH_LIBPREFIX=lib

OH_DAR=link.exe
OH_DARFLAGS=/nologo /dll $(OH_LDFLAGS)

OH_DLIBEXT=.dll
OH_DLIBPREFIX=

OH_LD=link.exe
OH_LDFLAGS=/nologo /subsystem:windows /machine:I386
OH_LDSYSLIBS=Shlwapi.lib comctl32.lib comdlg32.lib imagehlp.lib user32.lib gdi32.lib kernel32.lib

OH_EXENAME=$(OH_PROJECT)
OH_EXEEXT=.exe

OH_SRCEXTS+=*$(OH_CCEXT) *$(OH_CPPEXT) *$(OH_ASEXT)

OH_CCFLAGS+=$(addprefix /D,$(OH_DEFINES)) $(addprefix /I,$(OH_INCDIRS))

OH_INCDIRS+=
OH_DEFINES+=
OH_LDOBJS+=
OH_LDLIBS+=

ifeq ($(OH_DEBUG),TRUE)
OH_CCFLAGS+=/ZI /Od /W3 /WX
OH_ASFLAGS+=/Zi /Zd /W3 /WX
OH_LDFLAGS+=/debug /map /profile /incremental:no /fixed:no
OH_DEFINES+=
else
OH_CCFLAGS+=/Ox /w
OH_ASFLAGS+=
OH_LDFLAGS+=/OPT:REF
OH_DEFINES+=
endif
