
/**
 * @file oh_io.h
 * @version $Id$
 *
 * The header file that has the console input/output functions.
 */

#ifndef _OH_IO_H_
#define _OH_IO_H_

#include "oh_port.h"
#include "oh_ioa.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

#ifndef oh_io_putChar
extern oh_int oh_io_putChar(oh_int ch);
#endif /* oh_io_putChar */

#ifndef oh_io_getChar
extern oh_int oh_io_getChar(oh_void);
#endif /* oh_io_getChar */

#ifndef oh_io_putString
extern oh_int oh_io_putString(const oh_char *s);
#endif /* oh_io_putString */

#ifndef oh_io_getString
extern oh_char *oh_io_getString(oh_char *s, oh_int num);
#endif /* oh_io_getString */

#ifndef oh_io_flush
extern oh_int oh_io_flush(oh_void);
#endif /* oh_io_flush */

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_IO_H_ */
