#ifndef _OH_OHTHM_H_
#define _OH_OHTHM_H_

#include <windows.h>

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

typedef struct OTHSTR
{
  LPSTR lpStr;
  int iLen;
} OTHSTR;

typedef struct OTHWSTR
{
  LPWSTR lpStr;
  int iLen;
} OTHWSTR;

extern int OthMain(HINSTANCE hInstance);
extern int OthBeginHookTextA(HDC hdc, OTHSTR *inStr, OTHWSTR *outStr);
extern int OthBeginHookTextW(HDC hdc, OTHWSTR *inStr, OTHWSTR *outStr);
extern int OthEndHookTextA(HDC hdc, OTHSTR *inStr, OTHWSTR *outStr);
extern int OthEndHookTextW(HDC hdc, OTHWSTR *inStr, OTHWSTR *outStr);
extern HFONT OthHookDC(HDC hdc);
extern int OthHookCodePage(UINT *CodePage);
extern int OthHookCharSet(UINT *CharSet);
extern int OthHookWideCharToMultiByte(UINT CodePage, DWORD dwFlags,
  LPCWSTR lpWideCharStr, int cchWideChar, LPSTR lpMultiByteStr,
  int cbMultiByte, LPCSTR lpDefaultChar, LPBOOL lpUsedDefaultChar);
extern int OthHookMultiByteToWideChar(UINT CodePage, DWORD dwFlags,
  LPCSTR lpMultiByteStr, int cbMultiByte, LPWSTR lpWideCharStr,
  int cchWideChar);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_OHTHM_H_ */
