#include "oh_port.h"
#include "oh_tstcs.h"
#include "oh_debug.h"

static oh_int _oh_c_sprintf(oh_char *str, const oh_char *format, ...);
static oh_int _oh_c_snprintf(oh_char *str, oh_ulong size,
  const oh_char *format, ...);

static oh_int _oh_tk_testCLib00001(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00002(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00003(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00004(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00005(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00006(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00007(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00008(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00009(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00010(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00011(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00012(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00013(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00014(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00015(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00016(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00017(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00018(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00019(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00020(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00021(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00022(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00023(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00024(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00025(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00026(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00027(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00028(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00029(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00030(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00031(oh_tk_opt_t *opt);
static oh_int _oh_tk_testCLib00032(oh_tk_opt_t *opt);

static const oh_tk_tc_t _oh_tk_list[] =
  {
    {
      "oh_c_strlen Test",
      "_oh_tk_testCLib00001",
      &_oh_tk_testCLib00001
    },
    {
      "oh_c_strcpy Test",
      "_oh_tk_testCLib00002",
      &_oh_tk_testCLib00002
    },
    {
      "oh_c_strncpy Test",
      "_oh_tk_testCLib00003",
      &_oh_tk_testCLib00003
    },
    {
      "oh_c_strcat Test",
      "_oh_tk_testCLib00004",
      &_oh_tk_testCLib00004
    },
    {
      "oh_c_strncat Test",
      "_oh_tk_testCLib00005",
      &_oh_tk_testCLib00005
    },
    {
      "oh_c_strcmp Test",
      "_oh_tk_testCLib00006",
      &_oh_tk_testCLib00006
    },
    {
      "oh_c_strncmp Test",
      "_oh_tk_testCLib00007",
      &_oh_tk_testCLib00007
    },
    {
      "oh_c_strstr Test",
      "_oh_tk_testCLib00008",
      &_oh_tk_testCLib00008
    },
    {
      "oh_c_strchr/oh_c_strrchr Test",
      "_oh_tk_testCLib00009",
      &_oh_tk_testCLib00009
    },
    {
      "oh_c_memset Test",
      "_oh_tk_testCLib00010",
      &_oh_tk_testCLib00010
    },
    {
      "oh_c_memcpy Test",
      "_oh_tk_testCLib00011",
      &_oh_tk_testCLib00011
    },
    {
      "oh_c_memmove Test",
      "_oh_tk_testCLib00012",
      &_oh_tk_testCLib00012
    },
    {
      "oh_c_memcmp Test",
      "_oh_tk_testCLib00013",
      &_oh_tk_testCLib00013
    },
    {
      "oh_c_memchr Test",
      "_oh_tk_testCLib00014",
      &_oh_tk_testCLib00014
    },
    {
      "oh_c_isupper Test",
      "_oh_tk_testCLib00015",
      &_oh_tk_testCLib00015
    },
    {
      "oh_c_islower Test",
      "_oh_tk_testCLib00016",
      &_oh_tk_testCLib00016
    },
    {
      "oh_c_isspace Test",
      "_oh_tk_testCLib00017",
      &_oh_tk_testCLib00017
    },
    {
      "oh_c_isalpha Test",
      "_oh_tk_testCLib00018",
      &_oh_tk_testCLib00018
    },
    {
      "oh_c_isdigit Test",
      "_oh_tk_testCLib00019",
      &_oh_tk_testCLib00019
    },
    {
      "oh_c_isalnum Test",
      "_oh_tk_testCLib00020",
      &_oh_tk_testCLib00020
    },
    {
      "oh_c_isprint Test",
      "_oh_tk_testCLib00021",
      &_oh_tk_testCLib00021
    },
    {
      "oh_c_toupper Test",
      "_oh_tk_testCLib00022",
      &_oh_tk_testCLib00022
    },
    {
      "oh_c_tolower Test",
      "_oh_tk_testCLib00023",
      &_oh_tk_testCLib00023
    },
    {
      "oh_c_sprintf Test",
      "_oh_tk_testCLib00024",
      &_oh_tk_testCLib00024
    },
    {
      "oh_c_vsprintf Test",
      "_oh_tk_testCLib00025",
      &_oh_tk_testCLib00025
    },
    {
      "oh_c_snprintf Test",
      "_oh_tk_testCLib00026",
      &_oh_tk_testCLib00026
    },
    {
      "oh_c_vsnprintf Test",
      "_oh_tk_testCLib00027",
      &_oh_tk_testCLib00027
    },
    {
      "oh_c_strtol/oh_c_strtoul Test",
      "_oh_tk_testCLib00028",
      &_oh_tk_testCLib00028
    },
    {
      "oh_c_calloc/oh_c_malloc/oh_c_free Test",
      "_oh_tk_testCLib00029",
      &_oh_tk_testCLib00029
    },
    {
      "oh_c_realloc Test",
      "_oh_tk_testCLib00030",
      &_oh_tk_testCLib00030
    },
    {
      "oh_c_strdup Test",
      "_oh_tk_testCLib00031",
      &_oh_tk_testCLib00031
    },
    {
      "oh_c_qsort/oh_c_bsearch Test",
      "_oh_tk_testCLib00032",
      &_oh_tk_testCLib00032
    }
  };
static const oh_int _oh_tk_numList = sizeof(_oh_tk_list) / sizeof(oh_tk_tc_t);

static oh_int _oh_c_sprintf(oh_char *str, const oh_char *format, ...)
{
  va_list args;
  oh_int ret;

  va_start(args, format);
  ret = oh_c_vsprintf(str, format, args);
  va_end(args);

  return ret;
}

static oh_int _oh_c_snprintf(oh_char *str, oh_ulong size,
  const oh_char *format, ...)
{
  va_list args;
  oh_int ret;

  va_start(args, format);
  ret = oh_c_vsnprintf(str, size, format, args);
  va_end(args);

  return ret;
}

static oh_int _oh_tk_testCLib00001(oh_tk_opt_t *opt)
{
  oh_char *buf;
  oh_ulong i;

  buf = (oh_char *)oh_c_malloc(opt->bufflen);
  if (buf == OH_NULL)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    buf[i] = 'a';
  }
  buf[opt->bufflen - 1] = '\0';
  if (oh_c_strlen(buf) != opt->bufflen - 1)
    goto cleanupret;

  buf[0] = '\0';
  if (oh_c_strlen(buf) != 0)
    goto cleanupret;

  oh_c_free(buf);

  return 0;

cleanupret:
  oh_c_free(buf);
  return 1;
}

static oh_int _oh_tk_testCLib00002(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  oh_c_strcpy(str1, "");

  if (str1[0] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 9] = '\0';

  retstr = oh_c_strcpy(str1 + 1, str2 + 1);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 9; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 9] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 8; i < opt->bufflen - 1; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 1] != '\0')
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00003(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  oh_c_strncpy(str1, "", 1);

  if (str1[0] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 9] = '\0';

  retstr = oh_c_strncpy(str1 + 1, str2 + 1, opt->bufflen - 9);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 9; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 9] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 8; i < opt->bufflen - 1; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 1] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[21] = '\0';
  retstr = oh_c_strncpy(str1 + 1, str2 + 1, opt->bufflen - 9);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < 21; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  for (i = 21; i < opt->bufflen - 8; i++)
  {
    if (str1[i] != '\0')
      goto cleanupret;
  }

  for (i = opt->bufflen - 8; i < opt->bufflen - 1; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 1] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 1] = '\0';
  retstr = oh_c_strncpy(str1 + 1, str2 + 1, opt->bufflen - 9);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 8; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  for (i = opt->bufflen - 8; i < opt->bufflen - 1; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 1] != '\0')
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00004(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';

  oh_c_strcat(str1, "");

  if (str1[0] != '\0')
    goto cleanupret;

  oh_c_strcat(str1, "a");

  if (str1[0] != 'a')
    goto cleanupret;

  if (str1[1] != '\0')
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';

  oh_c_strcat(str1, "");

  if (str1[0] != 'a')
    goto cleanupret;

  if (str1[1] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 97] = '\0';
  str2[41] = '\0';

  retstr = oh_c_strcat(str1 + 1, str2 + 1);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < opt->bufflen - 97; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = opt->bufflen - 97; i < opt->bufflen - 57; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 57] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 56; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[41] = '\0';
  str2[opt->bufflen - 97] = '\0';

  retstr = oh_c_strcat(str1 + 1, str2 + 1);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < 41; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 41; i < opt->bufflen - 57; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 57] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 56; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00005(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';

  oh_c_strncat(str1, "", 1);

  if (str1[0] != '\0')
    goto cleanupret;

  oh_c_strncat(str1, "a", 2);

  if (str1[0] != 'a')
    goto cleanupret;

  if (str1[1] != '\0')
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';

  oh_c_strncat(str1, "", 1);

  if (str1[0] != 'a')
    goto cleanupret;

  if (str1[1] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 97] = '\0';
  str2[41] = '\0';

  retstr = oh_c_strncat(str1 + 1, str2 + 1, 42);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < opt->bufflen - 97; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = opt->bufflen - 97; i < opt->bufflen - 57; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 57] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 56; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[41] = '\0';
  str2[opt->bufflen - 97] = '\0';

  retstr = oh_c_strncat(str1 + 1, str2 + 1, opt->bufflen - 96);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < 41; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 41; i < opt->bufflen - 57; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 57] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 56; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[41] = '\0';
  str2[opt->bufflen - 97] = '\0';

  retstr = oh_c_strncat(str1 + 1, str2 + 1, opt->bufflen - 93);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < 41; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 41; i < opt->bufflen - 57; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 57] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 56; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[41] = '\0';
  str2[opt->bufflen - 97] = '\0';

  retstr = oh_c_strncat(str1 + 1, str2 + 1, opt->bufflen - 111);

  if (retstr != str1 + 1)
    goto cleanupret;

  for (i = 0; i < 41; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  for (i = 41; i < opt->bufflen - 70; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 70] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 69; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00006(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = '\0';

  if (oh_c_strcmp(str1, str2) != 0)
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';
  str2[0] = '\0';

  if (oh_c_strcmp(str1, str2) == 0)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = 'a';
  str2[1] = '\0';

  if (oh_c_strcmp(str1, str2) == 0)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'b';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 1] = '\0';

  if (oh_c_strcmp(str1, str2) != 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'a';
  if (oh_c_strcmp(str1, str2) >= 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'c';
  if (oh_c_strcmp(str1, str2) <= 0)
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00007(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = '\0';

  if (oh_c_strncmp(str1, str2, 10) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 1) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 0) != 0)
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';
  str2[0] = '\0';

  if (oh_c_strncmp(str1, str2, 10) == 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 1) == 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 0) != 0)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = 'a';
  str2[1] = '\0';

  if (oh_c_strncmp(str1, str2, 10) == 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 1) == 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, 0) != 0)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'b';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 1] = '\0';

  if (oh_c_strncmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen + 10) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen) != 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'a';

  if (oh_c_strncmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen + 10) >= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen) >= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen - 1) >= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen - 2) != 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'c';

  if (oh_c_strncmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen + 10) <= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen) <= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen - 1) <= 0)
    goto cleanupret;

  if (oh_c_strncmp(str1, str2, opt->bufflen - 2) != 0)
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00008(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = '\0';

  if (oh_c_strstr(str1, str2) != str1)
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';
  str2[0] = '\0';

  if (oh_c_strstr(str1, str2) != str1)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = 'a';
  str2[1] = '\0';

  if (oh_c_strstr(str1, str2) != OH_NULL)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'b';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 100] = '\0';

  str1[50] = 'a';

  if (oh_c_strstr(str1, str2) != str1 + 51)
    goto cleanupret;

  str1[50] = 'b';
  str1[opt->bufflen - 49] = '1';
  str1[opt->bufflen - 48] = '2';
  str1[opt->bufflen - 47] = '3';
  str1[opt->bufflen - 46] = '4';
  str1[opt->bufflen - 45] = '5';
  str1[opt->bufflen - 44] = '6';
  str1[opt->bufflen - 43] = '7';
  str1[opt->bufflen - 42] = '8';
  str1[opt->bufflen - 41] = '9';
  str1[opt->bufflen - 40] = '0';
  str1[opt->bufflen - 39] = '1';
  str1[opt->bufflen - 38] = '2';
  str1[opt->bufflen - 37] = '3';
  str1[opt->bufflen - 36] = '4';
  str1[opt->bufflen - 35] = '5';
  str1[opt->bufflen - 34] = '6';
  str1[opt->bufflen - 33] = '7';
  str1[opt->bufflen - 32] = '8';
  str1[opt->bufflen - 31] = '9';
  str1[opt->bufflen - 30] = '0';

  if (oh_c_strstr(str1, "1234567890") != str1 + opt->bufflen - 49)
    goto cleanupret;

  if (oh_c_strstr(str1 + opt->bufflen - 49, "1234567890") !=
    str1 + opt->bufflen - 49)
    goto cleanupret;

  if (oh_c_strstr(str1, "1234567899") != OH_NULL)
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00009(oh_tk_opt_t *opt)
{
  oh_char *str;
  oh_ulong i;

  str = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str == OH_NULL)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    if (i & 1)
      str[i] = 'a';
    else
      str[i] = 'b';
  }
  str[opt->bufflen - 1] = '\0';
  str[opt->bufflen - 47] = 'c';
  str[opt->bufflen - 37] = 'c';

  if (oh_c_strchr(str, 'c') != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str, 0x5f63) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str, -20637) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 47, 'c') != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 47, 0x1263) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 47, -157) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 46, 'c') != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 46, 0x7863) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strchr(str + opt->bufflen - 46, -9885) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strchr(str, 'd') != OH_NULL)
    goto cleanupret;

  if (oh_c_strchr(str, 0x6f64) != OH_NULL)
    goto cleanupret;

  if (oh_c_strchr(str, -156) != OH_NULL)
    goto cleanupret;

  if (oh_c_strrchr(str, 'c') != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str, 0x4a63) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str, -16029) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str + opt->bufflen - 37, 'c') != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str + opt->bufflen - 37, 0x0f63) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str + opt->bufflen - 37, -6813) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_strrchr(str, 'd') != OH_NULL)
    goto cleanupret;

  if (oh_c_strrchr(str, 0x3b64) != OH_NULL)
    goto cleanupret;

  if (oh_c_strrchr(str, -17564) != OH_NULL)
    goto cleanupret;

  oh_c_free(str);

  return 0;

cleanupret:
  oh_c_free(str);
  return 1;
}

static oh_int _oh_tk_testCLib00010(oh_tk_opt_t *opt)
{
  oh_char *str, *retstr;
  oh_ulong i;

  str = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str == OH_NULL)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str[i] = 'a';
  }

  retstr = oh_c_memset(str + 1, 'b', opt->bufflen - 17);
  if (retstr != str + 1)
    goto cleanupret;

  if (str[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 16; i++)
  {
    if (str[i] != 'b')
      goto cleanupret;
  }

  for (i = opt->bufflen - 16; i < opt->bufflen; i++)
  {
    if (str[i] != 'a')
      goto cleanupret;
  }

  oh_c_free(str);
  return 0;

cleanupret:
  oh_c_free(str);
  return 1;
}

static oh_int _oh_tk_testCLib00011(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  oh_c_memcpy(str1, "", 1);

  if (str1[0] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 15] = '\0';
  str2[opt->bufflen - 21] = '\0';

  retstr = oh_c_memcpy(str1 + 1, str2 + 1, opt->bufflen - 5);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 21; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 21] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 20; i < opt->bufflen - 4; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  for (i = opt->bufflen - 4; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00012(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_char *retstr;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  oh_c_memmove(str1, "", 1);

  if (str1[0] != '\0')
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'a';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 15] = '\0';
  str2[opt->bufflen - 21] = '\0';

  retstr = oh_c_memmove(str1 + 1, str2 + 1, opt->bufflen - 5);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  for (i = 1; i < opt->bufflen - 21; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 21] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 20; i < opt->bufflen - 4; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  for (i = opt->bufflen - 4; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  retstr = oh_c_memmove(str1 + 1, str1, opt->bufflen - 5);

  if (retstr != str1 + 1)
    goto cleanupret;

  if (str1[0] != 'a')
    goto cleanupret;

  if (str1[1] != 'a')
    goto cleanupret;

  for (i = 2; i < opt->bufflen - 20; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  if (str1[opt->bufflen - 20] != '\0')
    goto cleanupret;

  for (i = opt->bufflen - 19; i < opt->bufflen - 4; i++)
  {
    if (str1[i] != 'b')
      goto cleanupret;
  }

  for (i = opt->bufflen - 4; i < opt->bufflen; i++)
  {
    if (str1[i] != 'a')
      goto cleanupret;
  }

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00013(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;
  oh_ulong i;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  str2 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL || str2 == OH_NULL)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = '\0';

  if (oh_c_memcmp(str1, str2, 1) != 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, 0) != 0)
    goto cleanupret;

  str1[0] = 'a';
  str1[1] = '\0';
  str2[0] = '\0';

  if (oh_c_memcmp(str1, str2, 1) == 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, 0) != 0)
    goto cleanupret;

  str1[0] = '\0';
  str2[0] = 'a';
  str2[1] = '\0';

  if (oh_c_memcmp(str1, str2, 1) == 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, 0) != 0)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    str1[i] = 'b';
    str2[i] = 'b';
  }
  str1[opt->bufflen - 1] = '\0';
  str1[opt->bufflen - 30] = '\0';
  str2[opt->bufflen - 1] = '\0';
  str2[opt->bufflen - 30] = '\0';

  if (oh_c_memcmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen) != 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'a';

  if (oh_c_memcmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen) >= 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen - 1) >= 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen - 2) != 0)
    goto cleanupret;

  str1[opt->bufflen - 2] = 'c';

  if (oh_c_memcmp(str1, str2, opt->bufflen - 10) != 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen) <= 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen - 1) <= 0)
    goto cleanupret;

  if (oh_c_memcmp(str1, str2, opt->bufflen - 2) != 0)
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testCLib00014(oh_tk_opt_t *opt)
{
  oh_char *str;
  oh_ulong i;

  str = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str == OH_NULL)
    goto cleanupret;

  for (i = 0; i < opt->bufflen; i++)
  {
    if (i & 1)
      str[i] = 'a';
    else
      str[i] = '\0';
  }
  str[opt->bufflen - 1] = '\0';
  str[opt->bufflen - 47] = 'c';
  str[opt->bufflen - 37] = 'c';

  if (oh_c_memchr(str, 'c', opt->bufflen) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 47, 'c', 47) != str + opt->bufflen - 47)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 47, 0x5f63, 47) != str + opt->bufflen -
    47)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 47, -20637, 47) != str + opt->bufflen -
    47)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 46, 'c', 46) != str + opt->bufflen - 37)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 46, 0x1263, 46) != str + opt->bufflen -
    37)
    goto cleanupret;

  if (oh_c_memchr(str + opt->bufflen - 46, -157, 46) != str + opt->bufflen -
    37)
    goto cleanupret;

  if (oh_c_memchr(str, 'd', opt->bufflen) != OH_NULL)
    goto cleanupret;

  if (oh_c_memchr(str, 0x6f64, opt->bufflen) != OH_NULL)
    goto cleanupret;

  if (oh_c_memchr(str, -156, opt->bufflen) != OH_NULL)
    goto cleanupret;

  if (oh_c_memchr(str, 'c', opt->bufflen - 47) != OH_NULL)
    goto cleanupret;

  if (oh_c_memchr(str, 0x0f63, opt->bufflen - 47) != OH_NULL)
    goto cleanupret;

  if (oh_c_memchr(str, -6813, opt->bufflen - 47) != OH_NULL)
    goto cleanupret;

  oh_c_free(str);

  return 0;

cleanupret:
  oh_c_free(str);
  return 1;
}

static oh_int _oh_tk_testCLib00015(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= 'A' && ch <= 'Z')
    {
      if (!oh_c_isupper(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isupper(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00016(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= 'a' && ch <= 'z')
    {
      if (!oh_c_islower(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_islower(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00017(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch == '\f' || ch == '\n' || ch == '\r' || ch == '\t' || ch == '\v' ||
      ch == ' ')
    {
      if (!oh_c_isspace(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isspace(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00018(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if ((ch >= 'a' && ch <= 'z') || (ch >= 'A' && ch <= 'Z'))
    {
      if (!oh_c_isalpha(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isalpha(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00019(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= '0' && ch <= '9')
    {
      if (!oh_c_isdigit(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isdigit(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00020(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if ((ch >= 'a' && ch <= 'z') || (ch >= 'A' && ch <= 'Z') ||
      (ch >= '0' && ch <= '9'))
    {
      if (!oh_c_isalnum(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isalnum(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00021(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= ' ' && ch <= '~')
    {
      if (!oh_c_isprint(ch))
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_isprint(ch))
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00022(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= 'a' && ch <= 'z')
    {
      if (oh_c_toupper(ch) != ch - 'a' + 'A')
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_toupper(ch) != ch)
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00023(oh_tk_opt_t *opt)
{
  oh_int ch;

  for (ch = 0; ch < 256; ch++)
  {
    if (ch >= 'A' && ch <= 'Z')
    {
      if (oh_c_tolower(ch) != ch + 'a' - 'A')
      {
        return 1;
      }
    }
    else
    {
      if (oh_c_tolower(ch) != ch)
      {
        return 1;
      }
    }
  }

  return 0;
}

static oh_int _oh_tk_testCLib00024(oh_tk_opt_t *opt)
{
  oh_char str[256];
  oh_int ret;
  oh_ulong i;

  oh_c_memset(str, 'a', 256);

  ret = oh_c_sprintf(
    str, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s %10s "
    "%c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456, 789,
    0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y', 'z');

  if (oh_c_strcmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z") != 0)
  {
    return 1;
  }

  if (str[158] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 159; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  return 0;
}

static oh_int _oh_tk_testCLib00025(oh_tk_opt_t *opt)
{
  oh_char str[256];
  oh_int ret;
  oh_ulong i;

  oh_c_memset(str, 'a', 256);

  ret = _oh_c_sprintf(
    str, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s %10s "
    "%c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456, 789,
    0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y', 'z');

  if (oh_c_strcmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z") != 0)
  {
    return 1;
  }

  if (str[158] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 159; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  return 0;
}

static oh_int _oh_tk_testCLib00026(oh_tk_opt_t *opt)
{
  oh_char str[256];
  oh_int ret;
  oh_ulong i;

  oh_c_memset(str, 'a', 256);

  ret = oh_c_snprintf(
    str, 80, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s "
    "%10s %c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456,
    789, 0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y',
    'z');

  if (oh_c_strncmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z", 79) != 0)
  {
    return 1;
  }

  if (str[79] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 80; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  oh_c_memset(str, 'a', 256);

  ret = oh_c_snprintf(
    str, 256, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s "
    "%10s %c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456,
    789, 0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y',
    'z');

  if (oh_c_strcmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z") != 0)
  {
    return 1;
  }

  if (str[158] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 159; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  return 0;
}

static oh_int _oh_tk_testCLib00027(oh_tk_opt_t *opt)
{
  oh_char str[256];
  oh_int ret;
  oh_ulong i;

  oh_c_memset(str, 'a', 256);

  ret = _oh_c_snprintf(
    str, 80, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s "
    "%10s %c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456,
    789, 0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y',
    'z');

  if (oh_c_strncmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z", 79) != 0)
  {
    return 1;
  }

  if (str[79] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 80; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  oh_c_memset(str, 'a', 256);

  ret = oh_c_snprintf(
    str, 256, "%d %ld %u %lu %10d %-10d %010d %x %-10x %10x %010x %s %-10s "
    "%10s %c %-10c %10c", -30000, -2000000000L, 50000, 4000000000UL, 123, 456,
    789, 0xabc, 0xdef, 0x1f3, 0x1b9a, "format", "string", "test", 'x', 'y',
    'z');

  if (oh_c_strcmp(str, "-30000 -2000000000 50000 4000000000        123 456"
    "        0000000789 abc def               1f3 0000001b9a format string"
    "           test x y                   z") != 0)
  {
    return 1;
  }

  if (str[158] != '\0')
    return 1;

  if (ret != 158)
    return 1;

  for (i = 159; i < 256; i++)
  {
    if (str[i] != 'a')
      return 1;
  }

  return 0;
}

static oh_int _oh_tk_testCLib00028(oh_tk_opt_t *opt)
{
  oh_char *nptr;
  oh_char *endptr;

  if (oh_c_strtol(" \t\n\f\r\v123", OH_NULL, 10) != 123)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v-456", OH_NULL, 10) != -456)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v-35111.9999", OH_NULL, 10) != -35111)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v35535.3123322", OH_NULL, 10) != 35535)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v2147483647.3123322", OH_NULL, 10) != 2147483647L)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v-35536aabbcc", OH_NULL, 10) != -35536)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v-2147483647aabbcc", OH_NULL, 10) != -2147483647L)
    return 1;

  if (oh_c_strtol(" \t\n\f\r\v3533abcdef 22", OH_NULL, 10) != 3533)
    return 1;

  if (oh_c_strtol("asdf3533abcdef22", OH_NULL, 10) != 0)
    return 1;

  if (oh_c_strtol(".3533", OH_NULL, 10) != 0)
    return 1;

  if (oh_c_strtol("1435", OH_NULL, 10) != 1435)
    return 1;

  nptr = "0x7ffFffFf";

  if (oh_c_strtol(nptr, &endptr, 16) != 0x7fffffffL)
    return 1;

  if (*endptr != '\0')
    return 1;

  nptr = "-0x80000000zxqw";

  if (oh_c_strtol(nptr, &endptr, 0) != ((oh_long)0x80000000UL))
    return 1;

  if (*endptr != 'z')
    return 1;

  nptr = "4294967295";

  if (oh_c_strtoul(nptr, &endptr, 10) != 0xffffffffUL)
    return 1;

  if (*endptr != '\0')
    return 1;

  return 0;
}

static oh_int _oh_tk_testCLib00029(oh_tk_opt_t *opt)
{
  oh_char *ret;
  oh_ulong i;

  ret = (oh_char *)oh_c_calloc(0, 0);
  if (ret == OH_NULL)
    return 1;
  oh_c_free(ret);

  ret = (oh_char *)oh_c_malloc(0);
  if (ret == OH_NULL)
    return 1;
  oh_c_free(ret);

  ret = (oh_char *)oh_c_malloc(opt->bufflen);
  if (ret == OH_NULL)
    return 1;
  oh_c_memset(ret, 'a', opt->bufflen);
  for (i = 0; i < opt->bufflen; i++)
  {
    if (ret[i] != 'a')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  oh_c_free(ret);

  ret = (oh_char *)oh_c_calloc(opt->bufflen, 2);
  if (ret == OH_NULL)
    return 1;
  for (i = 0; i < opt->bufflen * 2; i++)
  {
    if (ret[i] != '\0')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  oh_c_memset(ret, 'a', opt->bufflen * 2);
  for (i = 0; i < opt->bufflen * 2; i++)
  {
    if (ret[i] != 'a')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  oh_c_free(ret);

  return 0;
}

static oh_int _oh_tk_testCLib00030(oh_tk_opt_t *opt)
{
  oh_char *ptr = OH_NULL;
  oh_char *ret;
  oh_ulong i;

  ret = oh_c_realloc(ptr, opt->bufflen);
  oh_c_memset(ret, 'a', opt->bufflen);
  for (i = 0; i < opt->bufflen; i++)
  {
    if (ret[i] != 'a')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  ptr = ret;
  ret = oh_c_realloc(ptr, opt->bufflen - 15);
  for (i = 0; i < opt->bufflen - 15; i++)
  {
    if (ret[i] != 'a')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  oh_c_memset(ret, 'b', opt->bufflen - 15);
  for (i = 0; i < opt->bufflen - 15; i++)
  {
    if (ret[i] != 'b')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  ptr = ret;
  ret = oh_c_realloc(ptr, opt->bufflen + 15);
  for (i = 0; i < opt->bufflen - 15; i++)
  {
    if (ret[i] != 'b')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  oh_c_memset(ret, 'c', opt->bufflen + 15);
  for (i = 0; i < opt->bufflen + 15; i++)
  {
    if (ret[i] != 'c')
    {
      oh_c_free(ret);
      return 1;
    }
  }
  ptr = ret;
  ret = oh_c_realloc(ptr, 0);
  if (ret != OH_NULL)
  {
    oh_c_free(ret);
    return 1;
  }

  return 0;
}

static oh_int _oh_tk_testCLib00031(oh_tk_opt_t *opt)
{
  oh_char *str1 = OH_NULL, *str2 = OH_NULL;

  str1 = (oh_char *)oh_c_malloc(opt->bufflen);
  if (str1 == OH_NULL)
    goto cleanupret;

  oh_c_memset(str1, 'a', opt->bufflen - 1);
  str1[opt->bufflen - 1] = '\0';
  str2 = oh_c_strdup(str1);
  if (str2 == OH_NULL)
    goto cleanupret;

  if (oh_c_strcmp(str1, str2) != 0)
    goto cleanupret;

  str1[opt->bufflen - 10] = 'b';

  if (oh_c_strcmp(str1, str2) == 0)
    goto cleanupret;

  oh_c_free(str1);
  oh_c_free(str2);
  return 0;

cleanupret:
  oh_c_free(str1);
  oh_c_free(str2);
  return 1;
}

static oh_int _oh_tk_testClib00032_1(const oh_void *a, const oh_void *b)
{
  return ((*(const oh_char *)a) - (*(const oh_char *)b));
}

static oh_int _oh_tk_testCLib00032(oh_tk_opt_t *opt)
{
  oh_char chlist[] = "utfpodgzyxkwrencqmsbavlhij";
  oh_char sortlist[] = "abcdefghijklmnopqrstuvwxyz";
  oh_ulong nmemb = sizeof(chlist) / sizeof(oh_char) - 1;
  oh_ulong size = sizeof(oh_char);
  oh_char *retch;

  oh_c_qsort(chlist, nmemb, size, _oh_tk_testClib00032_1);

  if (oh_c_strcmp(chlist, sortlist) != 0)
    return 1;

  retch = oh_c_bsearch("o", chlist, nmemb, size, _oh_tk_testClib00032_1);
  if (retch != chlist + 14)
    return 1;

  return 0;
}

oh_int oh_tk_testCLib(oh_tk_opt_t *opt)
{
  oh_int ret = 0;

  oh_int i;

  for (i = 0; i < _oh_tk_numList; i++)
  {
    oh_int tcret;

    oh_db_log((OL_MSG, OD_TESTKIT, "%s Test ( %s )", _oh_tk_list[i].tcfuncname,
      _oh_tk_list[i].explain));
    tcret = (*_oh_tk_list[i].tcfunc)(opt);
    if (tcret == 0)
      oh_db_log((OL_MSG, OD_TESTKIT, "%s Success", _oh_tk_list[i].tcfuncname));
    else
      oh_db_log((OL_MSG, OD_TESTKIT, "%s Fail", _oh_tk_list[i].tcfuncname,
        tcret));
    ret += tcret;

    OH_ASSERT(ret >= 0); /* overflow check */
  }

  return ret;
}
