
/**
 * @file oh_envnm.h
 * @version $Id$
 *
 * The header file that has environment variable name functions.
 */

#ifndef _OH_ENVNM_H_
#define _OH_ENVNM_H_

#include "oh_port.h"

#ifdef __cplusplus
extern "C"
{
#endif /* __cplusplus */

/**
 * The enum of the environment variable names.
 */
typedef enum oh_en_item_t
{
  OH_EN_HOME = 0,
  OH_EN_CFGNAME = 1
} oh_en_item_t;

extern const oh_char *oh_en_getEnvName(oh_en_item_t item);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _OH_ENVNM_H_ */
